> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glialhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Endpoint



## OpenAPI

````yaml post /v1/webhook-endpoints
openapi: 3.1.0
info:
  description: Async-first document extraction API.
  title: Folio API
  version: 1.0.0
servers:
  - description: Production (forthcoming)
    url: https://api.glialhealth.com
security: []
paths:
  /v1/webhook-endpoints:
    post:
      tags:
        - webhooks
      summary: Create Endpoint
      operationId: create_endpoint_v1_webhook_endpoints_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookEndpointRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookEndpointCreateResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - bearerAuth: []
components:
  schemas:
    CreateWebhookEndpointRequest:
      properties:
        events:
          anyOf:
            - items:
                $ref: '#/components/schemas/EventType'
              type: array
            - type: 'null'
          title: Events
        url:
          format: uri
          maxLength: 2083
          minLength: 1
          title: Url
          type: string
      required:
        - url
      title: CreateWebhookEndpointRequest
      type: object
    WebhookEndpointCreateResponse:
      properties:
        active:
          title: Active
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        events:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Events
        id:
          title: Id
          type: string
        object:
          default: webhook_endpoint
          title: Object
          type: string
        secret:
          title: Secret
          type: string
        secret_prefix:
          title: Secret Prefix
          type: string
        url:
          title: Url
          type: string
      required:
        - id
        - url
        - events
        - active
        - created_at
        - secret_prefix
        - secret
      title: WebhookEndpointCreateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EventType:
      enum:
        - document.completed
        - document.partially_completed
        - document.failed
      title: EventType
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Your Folio API key, sent as `Authorization: Bearer <api_key>`.'
      scheme: bearer
      type: http

````